Problem after upgrading a r4i-sdhc 3ds cartridge

Discussion in '3DS - Flashcards & Custom Firmwares' started by Goldlarvitar, Jun 13, 2015.

  1. Goldlarvitar
    OP

    Goldlarvitar Newbie

    Newcomer
    6
    1
    Jul 22, 2012
    Hello.

    This can look like the tipical error that happens when you update the 3ds whitout upgrading the cartrigde's firmware, but it isn't!

    I had a r4i-sdhc 3ds in a 3ds with version 4.4. It was working fine, but i decided to upgrade the cartidge (not the 3ds) to v4.5 or higher (following this tip with kernel v1.66b and 1.67b) and now when I put the flash card on the 3ds, the 3ds shows the famous error that says "An error has ocurred". This normaly happens when console's version is higher than the version supported by the cartidge, but cartridge is now at v5.0 and console is still at v4.4...

    The cartridge keeps working in a dsi with v1.4.3, but not in the 3ds...

    What's the problem here? What can I do to solve the problem? Can the r4i-sdhc cartridge be downgraded to v4.4?


    Thanks!
     
  2. Goldlarvitar
    OP

    Goldlarvitar Newbie

    Newcomer
    6
    1
    Jul 22, 2012
    Nobody knows a solution?
    Or something that I can try?

    Please, I need a little help here.
     
  3. Quantumcat

    Quantumcat Dead and alive

    Member
    9,785
    5,109
    Nov 23, 2014
    Australia
    Canberra, Australia
    Can't help with your actual problem but if you have a 4.4 3DS you could consider using rxTools or Pasta.
     
    Goldlarvitar and dedChar like this.
  4. StriderVM

    StriderVM GBAtemp Fan

    Member
    424
    87
    Jan 16, 2015
    My actual suggestion is to actually install a CFW with CIA support (PBT or Palantine) and then install the CIA that breaks the flashcart blacklist to see if it works.

    If it works that would be quite bizarre, as your clone works better when it's not updated as it's not on the blacklist. :P

    I wouldn't really suggest downgrading the R4 because by theory there shouldn't be any problem, you wouldn't know with all these clones and bricking and stuff.
     
    Goldlarvitar likes this.
  5. Goldlarvitar
    OP

    Goldlarvitar Newbie

    Newcomer
    6
    1
    Jul 22, 2012
    Thanks for replying. I have never used Pasta or CFW, but I have heard a little about then. I thought that they were related with 3ds games only and they let you install eshop games? I didn't know that they worked with ds games or flashcards...

    So, how can I try to unlock my card with this tools then?
     
  6. StriderVM

    StriderVM GBAtemp Fan

    Member
    424
    87
    Jan 16, 2015
    They can help because the 3DS has a sort of blacklist that if it detects your flashcart as included in that list, it will show "An error has ocurred". That CIA file will overwrite that with a broken one so that the blacklist will be clean.
     
  7. Goldlarvitar
    OP

    Goldlarvitar Newbie

    Newcomer
    6
    1
    Jul 22, 2012
    That sounds like a good solution for my problem. Maybe that way I could solve it. Thanks!

    The only problem is that I have never worked with CIAs and I don't know how to start... I need a specific CIA that cleans the blacklist or any CIA will work?
    Sorry if the question sounds too stupid :unsure:
     
  8. StriderVM

    StriderVM GBAtemp Fan

    Member
    424
    87
    Jan 16, 2015